<?php setcookie("login", $_COOKIE["login"] , time()+3600, "/", "deim.etse.urv.es", 1 ); ?>
<?php setcookie("sessio", $_COOKIE["sessio"] , time()+3600, "/", "deim.etse.urv.es", 1 ); ?>
<html>
  <head>
    <link rel="stylesheet" href="../estils/hoja.css" type="text/css">
    <title>Modificar personal</title>
  </head>

  <body leftmargin="0" topmargin="0" bgcolor="#8F0000">
    <table border="0" width="100%" height="100%" cellpadding="0" cellspacing="0">
      <tr>
        <!-- Menú dret -->
        <td align="left" valign="top" width="100" bgcolor="#4F0000">
          <?php include("../menu.inc") ?>
        </td>

        <!-- Capçalera -->
        <td align="left" valign="top" width="100%" class="centered">
        <h2>Departament d'Enginyeria Informàtica i Matemàtiques</h2>
        <img src="images/separador.gif">
        <br><br>
        <div align="left"><blockquote>

        <!-- Començament del cos -->
        <?php 
          require("../private/connect.inc");
          require("../private/ident.inc");
          ident();
      	  autoritzar($_COOKIE["login"], "personal_propi");
          // Ens assegurem que modifica la seva fitxa
          if (permis($_COOKIE["login"], "personal")!="true"){
            es_el_seu_id($_POST["id"]);
          }
        ?>
        <h2>Administració Personal: Modificar</h2>
        <?php
              $error=false;
              echo "<table cellpadding=0 cellspacing=0 width=75% bgcolor=#dd0000>";
              if ($_POST["nom"] == ""){
                echo "<tr><td><b>ERROR: El <u>nom</u> no pot estar buit!</td></tr>";
                $error=true;
              }
              echo "</table>";
              echo "<b>Nom:</b> " . htmlspecialchars($_POST["nom"]) . "<br>";
              echo "<b>Despatx:</b> " . htmlspecialchars($_POST["despatx"]) . "<br>";
              echo "<b>Telf:</b> " . htmlspecialchars($_POST["telf"]) . "<br>";
              echo "<b>E-Mail:</b> " . htmlspecialchars($_POST["email"]) . "<br>";
              echo "<b>Web:</b> " . htmlspecialchars($_POST["web"]) . "<br>";
              echo "<b>Area:</b> " . htmlspecialchars($_POST["area"]) . "<br>";
              echo "<b>Extra:</b> " . htmlspecialchars($_POST["extra"]) . "<br>";
              echo "<b>Horaris de consulta:</b> " . htmlspecialchars($_POST["consultes"]) . "<br>";
              echo "<br><br>";
              if ($error == false) {
                echo "<form action=\"modificardb.php\" method=\"post\">
                  <input name=\"id\" type=\"hidden\" value=\"" . $_POST["id"] . "\">
                  <input name=\"nom\" type=\"hidden\" value=\"" .
                  htmlspecialchars($_POST["nom"]) . "\">
                  <input name=\"despatx\" type=\"hidden\" value=\"" .
                  htmlspecialchars($_POST["despatx"]) . "\">
                  <input name=\"telf\" type=\"hidden\" value=\"" .
                  htmlspecialchars($_POST["telf"]) . "\">
                  <input name=\"email\" type=\"hidden\" value=\"" .
                  htmlspecialchars($_POST["email"]) . "\">
                  <input name=\"web\" type=\"hidden\" value=\"" .
                  htmlspecialchars($_POST["web"]) . "\">
                  <input name=\"area\" type=\"hidden\" value=\"" . 
                  htmlspecialchars($_POST["area"]) . "\">
                  <input name=\"extra\" type=\"hidden\" value=\"" . 
                  htmlspecialchars($_POST["extra"]) . "\">
                  <input name=\"consultes\" type=\"hidden\" value=\"" . 
                  htmlspecialchars($_POST["consultes"])  . "\">
                  &nbsp;&nbsp;<input type=\"image\" src=\"images/modificar.jpg\" border=\"0\"></form>";
              }
              echo"<input type=\"image\" onClick=\"history.go(-1)\" src=\"images/tornar.jpg\">";
        ?>
        </blockquote></div>
        </td>
        <td align="left" valign="top" width="100">
          <br />
          <br />
          <br />
          <br />
          <a href="../desconectar.php" class="link2"><img src="images/tancar.jpg" border="0"></a>
        </td>
      </tr>
    </table>
  </body>
</html>

